# git push

> دفع التعديلات إلى مستودع Git خارجي.
> لمزيد من التفاصيل: <https://git-scm.com/docs/git-push>.

- دفع التعديلات المحلية في الفرع الحالي إلى نظيره في المستودع الخارجي:

`git push`

- دفع التعديلات من فرع محلي معين إلى نظيره في المستودع الخارجي:

`git push {{remote_name}} {{local_branch}}`

- دفع التعديلات من فرع محلي معين إلى نظيره في المستودع الخارجي، وتعيين الفرع الخارجي كهدف افتراضي لعمليات الدفع والسحب:

`git push {{[-u|--set-upstream]}} {{remote_name}} {{local_branch}}`

- دفع التعديلات من فرع محلي معين إلى فرع خارجي محدد:

`git push {{remote_name}} {{local_branch}}:{{remote_branch}}`

- دفع جميع الفروع المحلية إلى نظائرها في المستودع الخارجي:

`git push --all {{remote_name}}`

- حذف فرع معين من المستودع الخارجي:

`git push {{remote_name}} {{[-d|--delete]}} {{remote_branch}}`

- حذف الفروع البعيدة التي لا تمتلك نظيرًا محليًا بعد الآن:

`git push --prune {{remote_name}}`

- نشر العلامات (tags) غير الموجودة في المستودع الخارجي:

`git push --tags`
